Subject: Re: [PATCH 0/8 v4] mpc83xx_wdt rework, support for mpc8610 and mpc8xx

From: Andrew Morton <[email-masked]>
Date: Tue, 3 Jun 2008 17:32:14 -0700

On Wed, 4 Jun 2008 04:17:39 +0400
Anton Vorontsov <[email-masked]> wrote:

> > Please put the subsystem identifier (eg, "watchdog" and "powerpc")
> > outside the [], for reasons which should be in
> > Documentation/SubmittingPatches, which used to be there but which got
> > lost.  Bascially the text inside [] is for temporary not-for-committing
> > information such as "rfc", "2.6.24-rc4", "resend", etc and should be stripped
> > by the email recipient before merging.
> 
> Yeah, I know. It is just hard to remember all the preferences.
> 
> For example, PowerPC maintainers asking to do patches with "[POWERPC]"
> identifier, this identifier purposely keeps intact for git-log.

Addition of "[powerpc]" if it was absent can be scripted.

However, the retaining of "[powerpc]" (etc) while not retaining "[rfc]"
(etc) is not practical.

Plus putting things into git with "[powerpc]" in the title is wrong. 
The chances are good that anyone who is taking such a patch off the
git-commits list (say, for a backport) will lose that part of the
title.  It should be "powerpc: "

(http://userweb.kernel.org/~akpm/dh.gif)